Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1977589 - OpenIPMI-2.0.31-4.fc35 FTBFS: configure: error: cannot import Python module "distutils"
Summary: OpenIPMI-2.0.31-4.fc35 FTBFS: configure: error: cannot import Python module "...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: OpenIPMI
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Josef Ridky
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks: F35FTBFS
TreeView+ depends on / blocked
 
Reported: 2021-06-30 07:02 UTC by Petr Pisar
Modified: 2023-09-15 01:10 UTC (History)
5 users (show)

Fixed In Version: OpenIPMI-2.0.31-7.fc33 OpenIPMI-2.0.31-7.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-11 01:06:37 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Petr Pisar 2021-06-30 07:02:08 UTC
OpenIPMI-2.0.31-4.fc35 fails to build in Fedora 35:

checking for python3... /usr/bin/python3
checking for python3... (cached) /usr/bin/python3
checking for a version of Python >= '2.1.0'... yes
checking for the distutils Python package... no
configure: error: cannot import Python module "distutils".
Please check your Python installation. The error was:
<string>:1: DeprecationWarning: The distutils package is deprecated and slated for removal in Python 3.12. Use setuptools or check PEP 632 for potential alternatives
error: Bad exit status from /var/tmp/rpm-tmp.R7WLFM (%build)

A difference between passing and failing build root is at <https://koschei.fedoraproject.org/build/10443014>. An upgrade of python3-devel from 3.9.5-2.fc35 to 3.10.0~b2-3.fc35 looks suspicious.

Comment 1 Fedora Release Engineering 2021-07-11 04:23:13 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 35.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-08-25).

A week before the mass branching of Fedora 36 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 34 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-36/f-36-key-tasks.html

Comment 2 Fedora Admin user for bugzilla script actions 2021-07-30 00:04:20 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 3 Fedora Release Engineering 2021-08-01 04:23:04 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 35.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-08-25).

A week before the mass branching of Fedora 36 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 34 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-36/f-36-key-tasks.html

Comment 4 Fedora Admin user for bugzilla script actions 2021-08-02 12:08:43 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 5 Fedora Update System 2021-08-02 14:52:57 UTC
FEDORA-2021-046a22dbcd has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-046a22dbcd

Comment 6 Fedora Update System 2021-08-02 14:53:02 UTC
FEDORA-2021-3957b5ef7a has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-3957b5ef7a

Comment 7 Fedora Update System 2021-08-03 01:45:27 UTC
FEDORA-2021-046a22dbcd has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-046a22dbcd`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-046a22dbcd

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-08-03 01:51:27 UTC
FEDORA-2021-3957b5ef7a has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-3957b5ef7a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-3957b5ef7a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Ben Cotton 2021-08-10 13:10:09 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 35 development cycle.
Changing version to 35.

Comment 10 Fedora Update System 2021-08-11 01:06:37 UTC
FEDORA-2021-3957b5ef7a has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2021-08-11 01:20:08 UTC
FEDORA-2021-046a22dbcd has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Red Hat Bugzilla 2023-09-15 01:10:45 UTC
The needinfo request[s] on this closed bug have been removed as they have been unresolved for 500 days


Note You need to log in before you can comment on or make changes to this bug.